<template>
  <div class="share-qrcode-view">
    <qrcode-vue :value="link" :size="200"></qrcode-vue>
  </div>
</template>

<script setup lang="ts">
import QrcodeVue from 'qrcode.vue';
import { useLifeRechargeContext } from '@life-payment/core-vue';
import { computed } from 'vue';

defineOptions({
  name: 'ShareQrcodeView',
});

type Props = {
  channlesNum?: string;
};

const props = withDefaults(defineProps<Props>(), {});

const { blLifeRecharge } = useLifeRechargeContext();

const link = computed(() => `${CLIENT_ORIGIN}?channelId=${props.channlesNum}`);
</script>
